error installing VASP 5.3.3

Questions regarding compilation of VASP on various platforms.

Moderators: Moderator, Global Moderator

error installing VASP 5.3.3

Postby mef362 » Fri May 10, 2013 6:37 am

Hi,

I'm trying to install the latest version of VASP 5.3.3. (I have version 5.2.12 currently installed and working.) I started by editing the makefile.linux_ifc_P4 file. I'm using ifort 12.1, mkl 12.1, and openmpi 1.4; these libraries/compilers worked for version 5.2.12. However, for version 5.3.3 I get the error below when linking. Any suggestions? Thanks in advance.

Code: Select all
main.o: In function `MAIN__':
main.f90:(.text+0x4199): undefined reference to `rdatab_'
main.f90:(.text+0x2163b): undefined reference to `rdatab_'
main.f90:(.text+0x21968): undefined reference to `rdatab_'
main.f90:(.text+0x24ab6): undefined reference to `wforce_'
main.f90:(.text+0x26e25): undefined reference to `rdatab_'
main.f90:(.text+0x39b71): undefined reference to `wforce_'
main.f90:(.text+0x3a863): undefined reference to `wforce_'
main.f90:(.text+0x3ad60): undefined reference to `wforce_'
main.f90:(.text+0x3ba34): undefined reference to `wforce_'
main.f90:(.text+0x3f23a): undefined reference to `wforce_'
main.f90:(.text+0x3fe95): undefined reference to `reopen_'
main.f90:(.text+0x40947): undefined reference to `reopen_'
main.f90:(.text+0x41227): undefined reference to `wforce_'
xml.o: In function `vaspxml_mp_xml_flush_':
xml.f90:(.text+0x22): undefined reference to `wforce_'
main_mpi.o: In function `main_mpi_mp_init_mpi_':
main_mpi.f90:(.text+0x364): undefined reference to `rdatab_'
main_mpi.f90:(.text+0x51e): undefined reference to `rdatab_'
main_mpi.f90:(.text+0x66a): undefined reference to `rdatab_'
main_mpi.f90:(.text+0x7c0): undefined reference to `rdatab_'
main_mpi.f90:(.text+0x9c5): undefined reference to `rdatab_'
main_mpi.o:main_mpi.f90:(.text+0xd20): more undefined references to `rdatab_' follow
poscar.o: In function `poscar_mp_rd_poscar_head_':
poscar.f90:(.text+0x6cd): undefined reference to `nitems_'
poscar.f90:(.text+0xba5): undefined reference to `nitems_'
poscar.f90:(.text+0xd39): undefined reference to `nitems_'
poscar.f90:(.text+0xfcf): undefined reference to `nitems_'
poscar.f90:(.text+0x13b3): undefined reference to `nitems_'
.
.
.
linear_response_NMR.f90:(.text+0x16757): undefined reference to `wforce_'
linear_response_NMR.o: In function `mlr_main_nmr_mp_mlr_b_main_.A':
linear_response_NMR.f90:(.text+0x1e3f5): undefined reference to `wforce_'
linear_response_NMR.f90:(.text+0x20c7b): undefined reference to `wforce_'
linear_response_NMR.o: In function `mlr_main_nmr_mp_mlr_psi_response_empty_.R':
linear_response_NMR.f90:(.text+0x3f415): undefined reference to `wforce_'
linear_response_NMR.o:linear_response_NMR.f90:(.text+0x3fad4): more undefined references to `wforce_' follow
make: *** [vasp] Error 1
Last edited by mef362 on Fri May 10, 2013 6:37 am, edited 1 time in total.
mef362
Newbie
Newbie
 
Posts: 8
Joined: Fri May 10, 2013 6:03 am

error installing VASP 5.3.3

Postby mef362 » Fri May 10, 2013 6:32 pm

I should also note that I changed -lguide to -liomp5 but I still have the problem
<span class='smallblacktext'>[ Edited Fri May 10 2013, 09:49PM ]</span>
Last edited by mef362 on Fri May 10, 2013 6:32 pm, edited 1 time in total.
mef362
Newbie
Newbie
 
Posts: 8
Joined: Fri May 10, 2013 6:03 am

error installing VASP 5.3.3

Postby mef362 » Fri May 10, 2013 11:29 pm

Problem fixed. I must have used different compilers for vasp5.lib and vasp5.3.3. I recompiled everthing and it now works.
Last edited by mef362 on Fri May 10, 2013 11:29 pm, edited 1 time in total.
mef362
Newbie
Newbie
 
Posts: 8
Joined: Fri May 10, 2013 6:03 am

error installing VASP 5.3.3

Postby mef362 » Sat May 11, 2013 1:26 am

Problem fixed. I must have used different compilers for vasp5.lib and vasp5.3.3. I recompiled everthing and it now works.
<span class='smallblacktext'>[ Edited Sat May 11 2013, 01:27AM ]</span>
Last edited by mef362 on Sat May 11, 2013 1:26 am, edited 1 time in total.
mef362
Newbie
Newbie
 
Posts: 8
Joined: Fri May 10, 2013 6:03 am

error installing VASP 5.3.3

Postby magnon963 » Fri Jun 21, 2013 8:13 am

I'm facing the same problem. Please tell me hw u rectified it. I'm using intel 10.1 copilers
Last edited by magnon963 on Fri Jun 21, 2013 8:13 am, edited 1 time in total.
magnon963
Newbie
Newbie
 
Posts: 22
Joined: Tue Aug 03, 2010 5:48 am


Return to Installation problems

Who is online

Users browsing this forum: No registered users and 2 guests